package simplifiedcoding.jetfighter;

import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Color;
import android.view.SurfaceHolder;
import android.view.SurfaceView;

/**
 * Created by Belal Khan on 10/27/2014.
 */
public class GamePlay extends SurfaceView {

    private Bitmap myChar;
    private SurfaceHolder holder;

    public GamePlay(Context context){
        super(context);

        holder = getHolder();

        holder.addCallback(new SurfaceHolder.Callback(){

            @SuppressLint("WrongCall")
            @Override
            public void surfaceCreated(SurfaceHolder surfaceHolder) {
                Canvas canvas = holder.lockCanvas(null);
                onDraw(canvas);
                holder.unlockCanvasAndPost(canvas);
            }

            @Override
            public void surfaceChanged(SurfaceHolder surfaceHolder, int i, int i2, int i3) {

            }

            @Override
            public void surfaceDestroyed(SurfaceHolder surfaceHolder) {

            }
        });

        myChar = BitmapFactory.decodeResource(getResources(), R.drawable.ic_launcher);

    }

    @Override
    protected void onDraw(Canvas canvas){
        canvas.drawColor(Color.BLUE);
        canvas.drawBitmap(myChar, 10, 10, null);
    }


}


